Subject: Python implementation of MRT lowpoint algorithm

From: Chris Bowers <[email-masked]>
Date: Sat, 18 Jul 2015 17:02:24 +0000

All,

We wrote a Python implementation of the MRT lowpoint algorithm following the pseudo-code in the draft, and have included it in the text of draft-ietf-rtgwg-mrt-frr-algorithm-05.

The code is also posted on github at:
https://github.com/cbowers/draft-ietf-rtgwg-mrt-frr-algorithm/blob/master/src/mrt_lowpoint_draft_text.py

At this point, the Python implementation is included in the draft as additional information, with the pseudo-code text representing the normative version of the algorithm.  For the next revision of the draft, I think it makes sense to make the Python implementation the normative version of the algorithm since it can actually be run to produce a definitive result for any input topology.  However, I want to elicit feedback from the WG as to whether or not it makes sense to do this.

We can also discuss this point at the RTGWG session on Wednesday where I will give an update on the MRT-related drafts.

Thanks,
Chris